namespaces:
  nexusNs:
    enabled: false
    name: "nexusrepo"
storageClass:
    name: nfs
pvc:
  storage: 50Gi
  volumeClaimTemplate:
     enabled: true 
statefulset:
  clustered: false
  replicaCount: 1
  additionalVolumes:
    - name: nfs-blob
      persistentVolumeClaim:
        claimName: nfs-blob-pvc
  additionalVolumeMounts:
    - name: nfs-blob
      mountPath: "/nexus-data/blobs"
  container:
    env:
      nexusDBName: "nexusdb"
secret:
  nexusAdminSecret:
    enabled: true
    adminPassword: "admin123"
  dbSecret:
    enabled: true
  db:
    user: "nexus"
    password: "nexus123"
    host: "postgres-svc.tools"
service:
  nexus:
    enabled: true
ingress:
  name: "nexus-ingress"
  enabled: true
  defaultRule: true
  ingressClassName: nginx
  host: "nx3.mydomain"
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: "0" 
